JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.files.confirm('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.actualSizeBytes);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.files.confirm(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.actual_size_bytes)curl --request POST \
--url https://api.mobilerun.ai/v1/agents/files/{fileId}/confirm \
--header 'Authorization: Bearer <token>'
{
"actualSizeBytes": 123,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "user",
"displayName": "<string>",
"enabled": true,
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mimeType": "<string>",
"sizeBytes": 123,
"state": "ready",
"zone": "user"
}{
"message": "<string>"
}{
"error": "expired",
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "confirm_failed",
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "missing"
}Files
Confirm a file upload by server-side HEAD validation
POST
/
agents
/
files
/
{fileId}
/
confirm
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.files.confirm('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.actualSizeBytes);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.files.confirm(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.actual_size_bytes)Authorizations
Bearer token via Authorization header
Path Parameters
Response
Upload confirmed and validated
Available options:
user, agent, workflow Available options:
ready Available options:
user, agent, workflow, skills Was this page helpful?
⌘I